%define momorel 7

Name: freetype2

%{?include_specopt}
%{?!embeded_bitmap:		%define embeded_bitmap	1}

Summary: A free and portable TrueType font rendering engine.
Version: 2.1.4
Release: %{momorel}m
License: BSD
Group: System Environment/Libraries
URL: http://www.freetype.org/
Source0: http://telia.dl.sourceforge.net/freetype/freetype-%{version}.tar.bz2
NoSource: 0
Source1: http://telia.dl.sourceforge.net/freetype/ftdocs-%{version}.tar.bz2
NoSource: 1
Patch0: freetype-2.1.3-bytecode.patch
Patch1: freetype-2.1.3-noembedbitmap.patch
Patch2: http://www.kde.gr.jp/~akito/patch/freetype2/freetype-2.1.3-ttcmap4.patch
### Patch3: http://www.kde.gr.jp/~akito/patch/freetype2/2.1.4/freetype-2.1.4-autohint-cjk-20030414.patch
# Patch3: http://kde.ics.es.yamanashi.ac.jp/~akito/patch/freetype2/2.1.4/freetype-2.1.4-autohint-cjk-20030430_v1.patch
Patch3: http://kde.ics.es.yamanashi.ac.jp/~akito/patch/freetype2/2.1.4/freetype-2.1.4-autohint-cjk-20030430_v2.patch
# Patch3: http://kde.ics.es.yamanashi.ac.jp/~akito/patch/freetype2/2.1.4/freetype-2.1.4-autohint-cjkfonts-20030626.patch
Patch4: freetype-2.1.4-cidcmap.patch
NoPatch: 2
NoPatch: 3

Requires: ghostscript-resource

Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
The FreeType engine is a free and portable TrueType font rendering
engine, developed to provide TrueType support for a variety of
platforms and environments. FreeType is a library which can open and
manages font files as well as efficiently load, hint and render
individual glyphs. FreeType is not a font server or a complete
text-rendering library.

%package devel
Summary: Header files and static library for development with FreeType.
Group: Development/Libraries
Requires: %name = %{version}-%{release}

%description devel
The freetype-devel package contains the header files and static
library needed to develop or compile applications which use the
FreeType TrueType font rendering library.

Install freetype-devel if you want to develop FreeType
applications. If you simply want to run existing applications, you
won't need this package.

%prep
%setup -q -n freetype-%{version} -b 1
%patch4 -p1 -b .cidcmap
%patch0 -p0 -b .bytecode
%if ! %{embeded_bitmap}
%patch1 -p0 -b .no_embed
%endif
%patch2 -p1 -b .ttcmap
%patch3 -p1 -b .autohint

%build
CFLAGS="$RPM_OPT_FLAGS" make CFG="--prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --disable-debug --enable-static --enable-shared"

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Fri Nov  7 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.1.4-7m)
- update patch3. (revise URI)

* Fri Nov  7 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.1.4-6m)
- roll back to 2.1.4. sumanu...

* Fri Nov  7 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.1.5-1m)
- update to 2.1.5.

* Sat Oct 11 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (2.1.4-5m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Tue May 27 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.4-4m)
- apply cid cmap patch.

* Mon Apr 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.4-3m)
- update patch3

* Fri Apr 11 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.1.4-2m)
- update patch3

* Wed Apr  9 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.4-1m)
- update to 2.1.4

* Mon Jan 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.1.3-3m)
- add Requires freetype2 = %{version}-%{release} to -devel

* Fri Dec 13 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.1.3-2m)
- update patch(Patch2. ttcmap4 patch)

* Fri Dec  6 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.1.3-1m)
- update to 2.1.3
- remove some patches.

* Mon Oct  7 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.1.2-2m)
- add some patches.
  fix ttcmap bug for Dyna font.
  fix italic bug. (from cvs)
- add build option switch for embeded bitmap.(osukina hou wo douzo)

* Sun Oct 06 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (2.0.9-8m)
- revert to 2.0.9.. keep 2.1.2 patches around for further expirmentation

* Sat Oct 05 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (2.1.2-1m)
- upgrade to "stable" dev version

* Wed May 22 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.9-6k)
- increment Epoch

* Mon May 20 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.0.9-4k)
- remove patch (freetype2-2.0.9-no_embeded_bitmap.patch)
- add patch freetype2-2.0.9-bytecodeinterpreter.patch

* Sun May 19 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (2.0.9-4k)
- 2.1.0 ha mada-dame-----.

* Sun May 19 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (2.1.0-2k)
- ver up to 2.1.0.
- modify URL. (for Super Kondara Antenna.)

* Sun Mar 31 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.0.9-2k)
- update to 2.0.9 (THIS IS TEST!!)
- remake no embeded bitmap font patch.

* Sat Mar 23 2002 Toru Hoshina <t@kondara.org>
- (2.0.5-4k)
- no embeded bitmap font...

* Fri Feb 22 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.5-2k)
- rewind to 2.0.5 because xft probrem.

* Wed Feb 20 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.0.8-2k)
- update to 2.0.8

* Wed Jan  2 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.5-2k)
- version 2.0.5

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (2.0.4-2k)
- merge from Jirai.

* Wed Aug 29 2001 KUSUNOKI Masanori <nori@kondara.org>
- (2.0.4-3k)
- version 2.0.4

* Mon Aug 27 2001 Shingo Akagaki <dora@kondara.org>
- (2.0.3-2k)
- version 2.0.3

* Thu Apr  5 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.0.2-5k)
  included ftdocs

* Thu Apr  5 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.0.2-3k)
  update to 2.0.2

* Sun Mar 25 2001 Motonobu Ichimura <famao@kondara.org>
- (2.0.1-5k)
- move libfreetype.la from freetype2 to freetype2-devel

* Thu Dec 21 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 2.0.1

* Fri Nov 10 2000 Shingo Akagaki <dora@kondara.org>
- freetype2

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sun Apr 02 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (1.3.1-5).

* Fri Feb 25 2000 Shingo Akagaki <dora@kondara.org>
- change files section

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- revert spaces patch, fix up some foundry names to match X ones

* Wed Feb 16 2000 Toru Hoshina <t@kondara.org>
- We still have a problem on alpha platform, freetype libs have to be compiled
-  with -O0 option, because any optimization will make it happen:-P

* Mon Feb 07 2000 Norihito Ohmori <nono@kondara.org>
- be a nosrc :-P
- add %defattr
- add /usr/bin/{ftmetric,ftsbit,ftstrtto} to freetype-utils (jitterbug #88)

* Mon Feb 07 2000 Nalin Dahyabhai <nalin@redhat.com>
- add defattr, ftmetric, ftsbit, ftstrtto per bug #9174

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description and summary

* Wed Jan 12 2000 Preston Brown <pbrown@redhat.com>
- make ttmkfdir replace spaces in family names with underscores (#7613)

* Tue Jan 11 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- 1.3.1
- handle RPM_OPT_FLAGS

* Wed Nov 10 1999 Preston Brown <pbrown@redhat.com>
- fix a path for ttmkfdir Makefile

* Thu Aug 19 1999 Preston Brown <pbrown@redhat.com>
- newer ttmkfdir that works better, moved ttmkfdir to /usr/bin from /usr/sbin
- freetype utilities moved to subpkg, X dependency removed from main pkg
- libttf.so symlink moved to devel pkg

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- fixed the %doc file list

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added ttmkfdir

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- update to 1.2

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to sanitize config.sub and get ARM support
- dispoze of the patch (not necessary anymore)

* Wed Oct 21 1998 Preston Brown <pbrown@redhat.com>
- post/postun sections for ldconfig action.

* Tue Oct 20 1998 Preston Brown <pbrown@redhat.com>
- initial RPM, includes normal and development packages.

%files
%defattr(-,root,root)
%doc docs
%{_libdir}/libfreetype.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/freetype-config
%{_includedir}/*
%{_libdir}/libfreetype.la
%{_libdir}/libfreetype.so
%{_libdir}/libfreetype.a
%{_datadir}/aclocal/*
